Projeler
GET https://iyge.com/api/projects/
curl --request GET \
--url 'https://iyge.com/api/projects/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://iyge.com/api/projects/' \
--header 'Authorization: Bearer {api_key}' \
| Parametreler | Detaylar | Açıklama |
|---|---|---|
| search | Opsiyonel String | Arama dizesi. |
| search_by | Opsiyonel String | Hangi alanı arıyorsunuz? İzin verilen değerler: name. |
| datetime_field | Opsiyonel String | İzin verilen değerler: datetime, last_datetime |
| datetime_start | Opsiyonel String | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Opsiyonel String | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Opsiyonel String | Sonuçların hangi alana göre sıralanacağı. İzin verilen değerler: project_id, datetime, last_datetime, name. |
| order_type | Opsiyonel String | Sonuçların sıralaması. İzin verilen değerler şunlardır: Artan sıralama için ASC ve azalan sıralama için DESC. |
| page | Opsiyonel Integer | Sonuçları almak istediğiniz sayfa numarası. Varsayılan değer 1'dir. |
| results_per_page | Opsiyonel Integer | Sayfa başına kaç sonuç görmek istediğiniz. İzin verilen değerler: 10, 25, 50, 100, 250, 500, 1000. Varsayılan değer 25'dir. |
{
"data": [
{
"id": 1,
"name": "Development",
"color": "#0e23cc",
"email_reports": [1],
"last_datetime": null,
"datetime": "2026-09-02 14:16:04",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://iyge.com/api/projects?page=1",
"last": "https://iyge.com/api/projects?page=1",
"next": null,
"prev": null,
"self": "https://iyge.com/api/projects?page=1"
}
}
GET https://iyge.com/api/projects/{project_id}
curl --request GET \
--url 'https://iyge.com/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://iyge.com/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "Development",
"color": "#0e23cc",
"email_reports": [1],
"last_datetime": null,
"datetime": "2026-09-02 14:16:04",
}
}
POST https://iyge.com/api/projects
| Parametreler | Detaylar | Açıklama |
|---|---|---|
| name | Gerekli String | - |
| color | Opsiyonel String | - |
| email_reports | Opsiyonel Array | Bildirim Merkezi ID |
curl --request POST \
--url 'https://iyge.com/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#ffffff' \
--form 'email_reports[]=1' \
--url 'https://iyge.com/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#ffffff' \
--form 'email_reports[]=1' \
{
"data": {
"id": 1,
"email_reports": [1]
}
}
POST https://iyge.com/api/projects/{project_id}
| Parametreler | Detaylar | Açıklama |
|---|---|---|
| name | Opsiyonel String | - |
| color | Opsiyonel String | - |
| email_reports | Opsiyonel Array | Bildirim Merkezi ID |
curl --request POST \
--url 'https://iyge.com/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#000000' \
--form 'email_reports[]=1' \
--url 'https://iyge.com/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#000000' \
--form 'email_reports[]=1' \
{
"data": {
"id": 1,
"email_reports": [1]
}
}
DELETE https://iyge.com/api/projects/{project_id}
curl --request DELETE \
--url 'https://iyge.com/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://iyge.com/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \